
Pre-Development - Feature #18864

FE: Alert Messaging > Message Template > Template Type

15 November 2023 08:29 AM - David Wong

Status: Closed Start date: 15 November 2023

Priority: Normal Due date: 22 November 2023

Assignee: Farid Nazmi % Done: 70%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

GIT Repo: http://172.16.25.66/gitlab/mleb-solution-domain/smesd100/mleb-am.git

Reference UI:

Login into: https://dev.silverlakemobility.com/demo/cc_iam/loginModule/login.htm (sysuser/abc123)

And then go to Sub System > Alert Messaging > Message Template

Develop UI:

Search parameter and search results

Data entry form

Create

View

Update

History

#1 - 15 November 2023 08:32 AM - Farid Nazmi

- Status changed from New to In Progress

#2 - 16 November 2023 01:29 PM - Farid Nazmi

- % Done changed from 0 to 20

Already added message-template in mleb-iam\cc_iam\src\pages and added path for the screen in the app routing.

currently proceed with MsgTemplateSearch.tsx

#3 - 20 November 2023 09:49 AM - Farid Nazmi

- % Done changed from 20 to 30

create MsgTemplate.tsx where placing the interface for bean, req, resp, searchreq, searchresp, entity, columnSortingBean, searchResult

#4 - 22 November 2023 03:14 PM - Farid Nazmi

- File msg_template_search_screen1.png added

- File msg_template_search_screen2.png added

- File msg_template_search_screen3.png added

- % Done changed from 30 to 60

MsgTemplateSearch is now ready. which the search results appear accordingly with the parameter input. now will proceed with form for create, view

and update
http://172.16.25.66/gitlab/mleb-solution-domain/smesd100/mleb-am.git
https://dev.silverlakemobility.com/demo/cc_iam/loginModule/login.htm


#5 - 28 November 2023 04:21 PM - Farid Nazmi

- % Done changed from 60 to 70

develop msgTemplateForm UI for insert and update function , create conditional form based on channel selected to make the json message form field

visible when channel notification is selected, view message template is okay but for insert and update are still on going.

#6 - 22 March 2024 09:30 AM - chok yee fan

- Status changed from In Progress to Closed

https://scm.dosm.gov.my/redmine/issues/24

Files

msg_template_search_screen1.png 134 KB 22 November 2023 Farid Nazmi

msg_template_search_screen2.png 88.9 KB 22 November 2023 Farid Nazmi

msg_template_search_screen3.png 112 KB 22 November 2023 Farid Nazmi
